Subject: [secdir] Secdir review of draft-ietf-avt-dtls-srtp-05.txt

From: Paul Hoffman <[email-masked]>
Date: Wed, 1 Oct 2008 09:19:18 -0700

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.                                            

This document proposed an extension to DTLS to handle the keying for SRTP. The protocol seems simple and complete. Unsurprisingly, the Security Considerations section is well-written.

I have a bit of concern about section 6 on multi-party RTP. It talks about mixers that encrypt and decrypt, as if this is acceptable. It might be acceptable, but it sounds dangerous from a security standpoint. Also, this section says:
   A future specification may describe methods for sharing a single key
   between multiple DTLS-SRTP associations which would allow
   conferencing systems to avoid the decrypt/reencrypt stage.  
But there is nothing that says that you MUST NOT / SHOULD NOT use the extension in this document to do that today. I don't know if that is needed, but it stuck out that there was no advice or mandate about this.

_______________________________________________
secdir mailing list
[email-masked]
https://mailman.mit.edu/mailman/listinfo/secdir
_______________________________________________
secdir mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/secdir